Package org.apache.tools.ant.taskdefs.optional.clearcase

# Class CCMkelem

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
org.apache.tools.ant.taskdefs.optional.clearcase.CCMkelem

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CCMkelem
    extends ClearCase

Performs ClearCase mkelem.

The following attributes are interpreted:

Task attributes
Attribute | Values | Required
--- | --- | ---
viewpath | Path to the ClearCase view file or directory that the command will operate on | Yes
comment | Specify a comment. Only one of comment or cfile may be used. | No
commentfile | Specify a file containing a comment. Only one of comment or cfile may be used. | No
nowarn | Suppress warning messages | No
nocheckout | Do not checkout after element creation | No
checkin | Checkin element after creation | No
preservetime | Preserve the modification time (for checkin) | No
master | Assign mastership of the main branch to the current site | No
eltype | Element type to use during element creation | No
failonerr | Throw an exception if the command fails. Default is true | No

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `FLAG_CHECKIN` | -ci flag -- checkin element after creation
  `static java.lang.String` | `FLAG_COMMENT` | -c flag -- comment to attach to the file
  `static java.lang.String` | `FLAG_COMMENTFILE` | -cfile flag -- file containing a comment to attach to the file
  `static java.lang.String` | `FLAG_ELTYPE` | -eltype flag -- element type to use during creation
  `static java.lang.String` | `FLAG_MASTER` | -master flag -- change mastership of main branch to current site
  `static java.lang.String` | `FLAG_NOCHECKOUT` | -nco flag -- do not checkout element after creation
  `static java.lang.String` | `FLAG_NOCOMMENT` | -nc flag -- no comment is specified
  `static java.lang.String` | `FLAG_NOWARN` | -nwarn flag -- suppresses warning messages
  `static java.lang.String` | `FLAG_PRESERVETIME` | -ptime flag -- preserves the modification time on checkin

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

  `COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CCMkelem()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `execute()` | Executes the task.
  `boolean` | `getCheckin()` | Get ci flag status
  `java.lang.String` | `getComment()` | Get comment string
  `java.lang.String` | `getCommentFile()` | Get comment file
  `java.lang.String` | `getEltype()` | Get element type
  `boolean` | `getMaster()` | Get master flag status
  `boolean` | `getNoCheckout()` | Get no checkout flag status
  `boolean` | `getNoWarn()` | Get nowarn flag status
  `boolean` | `getPreserveTime()` | Get preservetime flag status
  `void` | `setCheckin​(boolean ci)` | If true, checkin the element after creation
  `void` | `setComment​(java.lang.String comment)` | Sets the comment string.
  `void` | `setCommentFile​(java.lang.String cfile)` | Specifies a file containing a comment.
  `void` | `setEltype​(java.lang.String eltype)` | Specifies the element type to use.
  `void` | `setMaster​(boolean master)` | If true, changes mastership of the main branch to the current site
  `void` | `setNoCheckout​(boolean co)` | If true, do not checkout element after creation.
  `void` | `setNoWarn​(boolean nwarn)` | If true, suppress warning messages.
  `void` | `setPreserveTime​(boolean ptime)` | If true, preserve the modification time.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

  `getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FLAG_COMMENT

    public static final java.lang.String FLAG_COMMENT
    -c flag -- comment to attach to the file
    See Also:
      Constant Field Values

  - ### FLAG_COMMENTFILE

    public static final java.lang.String FLAG_COMMENTFILE
    -cfile flag -- file containing a comment to attach to the file
    See Also:
      Constant Field Values

  - ### FLAG_NOCOMMENT

    public static final java.lang.String FLAG_NOCOMMENT
    -nc flag -- no comment is specified
    See Also:
      Constant Field Values

  - ### FLAG_NOWARN

    public static final java.lang.String FLAG_NOWARN
    -nwarn flag -- suppresses warning messages
    See Also:
      Constant Field Values

  - ### FLAG_PRESERVETIME

    public static final java.lang.String FLAG_PRESERVETIME
    -ptime flag -- preserves the modification time on checkin
    See Also:
      Constant Field Values

  - ### FLAG_NOCHECKOUT

    public static final java.lang.String FLAG_NOCHECKOUT
    -nco flag -- do not checkout element after creation
    See Also:
      Constant Field Values

  - ### FLAG_CHECKIN

    public static final java.lang.String FLAG_CHECKIN
    -ci flag -- checkin element after creation
    See Also:
      Constant Field Values

  - ### FLAG_MASTER

    public static final java.lang.String FLAG_MASTER
    -master flag -- change mastership of main branch to current site
    See Also:
      Constant Field Values

  - ### FLAG_ELTYPE

    public static final java.lang.String FLAG_ELTYPE
    -eltype flag -- element type to use during creation
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### CCMkelem

    public CCMkelem()

- ## Method Details

  - ### execute

    public void execute() throws BuildException
    Executes the task.

    Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - if the command fails and failonerr is set to true

  - ### setComment

    public void setComment​(java.lang.String comment)
    Sets the comment string.
    Parameters:
      `comment` - the comment string

  - ### getComment

    public java.lang.String getComment()
    Get comment string
    Returns:
      String containing the comment

  - ### setCommentFile

    public void setCommentFile​(java.lang.String cfile)
    Specifies a file containing a comment.
    Parameters:
      `cfile` - the path to the comment file

  - ### getCommentFile

    public java.lang.String getCommentFile()
    Get comment file
    Returns:
      String containing the path to the comment file

  - ### setNoWarn

    public void setNoWarn​(boolean nwarn)
    If true, suppress warning messages.
    Parameters:
      `nwarn` - the status to set the flag to

  - ### getNoWarn

    public boolean getNoWarn()
    Get nowarn flag status
    Returns:
      boolean containing status of nwarn flag

  - ### setPreserveTime

    public void setPreserveTime​(boolean ptime)
    If true, preserve the modification time.
    Parameters:
      `ptime` - the status to set the flag to

  - ### getPreserveTime

    public boolean getPreserveTime()
    Get preservetime flag status
    Returns:
      boolean containing status of preservetime flag

  - ### setNoCheckout

    public void setNoCheckout​(boolean co)
    If true, do not checkout element after creation.
    Parameters:
      `co` - the status to set the flag to

  - ### getNoCheckout

    public boolean getNoCheckout()
    Get no checkout flag status
    Returns:
      boolean containing status of noco flag

  - ### setCheckin

    public void setCheckin​(boolean ci)
    If true, checkin the element after creation
    Parameters:
      `ci` - the status to set the flag to

  - ### getCheckin

    public boolean getCheckin()
    Get ci flag status
    Returns:
      boolean containing status of ci flag

  - ### setMaster

    public void setMaster​(boolean master)
    If true, changes mastership of the main branch to the current site
    Parameters:
      `master` - the status to set the flag to

  - ### getMaster

    public boolean getMaster()
    Get master flag status
    Returns:
      boolean containing status of master flag

  - ### setEltype

    public void setEltype​(java.lang.String eltype)
    Specifies the element type to use.
    Parameters:
      `eltype` - to create element

  - ### getEltype

    public java.lang.String getEltype()
    Get element type
    Returns:
      String containing the element type